## gpodder 2.14

=== debian/changelog ===
gpodder (2.14-1) unstable; urgency=low

  * New upstream release

 -- tony mancill <tmancill@debian.org>  Tue, 05 Apr 2011 21:23:23 -0700

gpodder (2.13-3) unstable; urgency=low

  * Incorporate upstream patch for .desktop file.  (Closes: #620438)

 -- tony mancill <tmancill@debian.org>  Sat, 02 Apr 2011 21:02:05 -0700

gpodder (2.13-2) unstable; urgency=low

  * Update Vcs-* in debian/control; now using git.debian.org

 -- tony mancill <tmancill@debian.org>  Sun, 27 Feb 2011 20:22:16 -0800

gpodder (2.13-1) unstable; urgency=low

  * New upstream release
  * Switch source format to "3.0 (quilt)"
  * Simplify debian/rules.
  * Build-Depend on debhelper (>= 7.3.7)

 -- tony mancill <tmancill@debian.org>  Fri, 25 Feb 2011 23:01:30 -0800

gpodder (2.12-1) unstable; urgency=low

  * New upstream release (Closes: #607180)
  * Update Thomas's email address in debian/control.

 -- tony mancill <tmancill@debian.org>  Wed, 12 Jan 2011 21:32:36 -0800

gpodder (2.11-1) unstable; urgency=low

  * New upstream release

 -- tony mancill <tmancill@debian.org>  Sun, 19 Dec 2010 15:35:25 -0800

gpodder (2.10-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Sun, 05 Dec 2010 17:08:02 -0800

gpodder (2.9-1) experimental; urgency=low

  * New upstream release
  * Removes dependency on python-pymtp.
  * Update debian/copyright to DEP5 format.
  * Upload to experimental pending release of squeeze.

 -- tony mancill <tmancill@debian.org>  Tue, 12 Oct 2010 22:21:18 -0700

gpodder (2.8-1~pre0) experimental; urgency=low

  * New upstream release
  * Remove python-pymad from Suggests (no longer used by software)
  * Add python-gst0.10 to Recommends (used for track length detection
    and iPod sync)
  * Update Standards-Version to 3.9.1 (no changes needed)
  * Upload to experimental

 -- tony mancill <tmancill@debian.org>  Mon, 06 Sep 2010 12:14:32 -0700

gpodder (2.7-1) unstable; urgency=low

  * New upstream release: "Proposition Infinity"
  * debian/control: 
    - Update Standards Version to 3.9.0 (no changes).
    - Add tmancill@debian.org to Uploaders:
    - Add Vcs-Browser and Vcs-Svn fields for Debian packaging

 -- tony mancill <tmancill@debian.org>  Sun, 18 Jul 2010 16:35:57 -0700

gpodder (2.6-1) unstable; urgency=low

  * "The Staircase Implementation" release (Closes: #582907)
  * Upstream: Add option "Do nothing" for new episodes (Closes: #561632)
  * Upstream: Fix for new GtkBuilder version (Closes: #581780)
  * Upstream: Removed feed_update_skipping (Closes: #568853)
  * Upstream: Better new episode detection code (Closes: #582656)
  * debian/control: Add "Recommends:" on python-webkit
  * debian/control: Better package description
  * debian/watch: Added

 -- Thomas Perl <thp@thpinfo.com>  Thu, 27 May 2010 17:41:01 +0200

gpodder (2.3-1) unstable; urgency=low

  * "The Adhesive Duck Deficiency" release
  * Remove help2man and imagemagick build-dependencies

 -- Thomas Perl <thp@thpinfo.com>  Sat, 27 Feb 2010 23:02:54 +0100

gpodder (2.2-1) unstable; urgency=low

  * The "LA X" release
  * Add build dependency and dependency on python-mygpoclient
  * Remove recommendation on python-gtkhtml2 (Closes: #561337)
  * Remove build-depends on python-dev (not necessary for pure Python modules)
  * Add "${misc:Depends}" to Depends in debian/control
  * Upgrade to standards-version 3.8.4 (no changes necessary)

 -- Thomas Perl <thp@thpinfo.com>  Fri, 05 Feb 2010 16:16:28 +0100

gpodder (2.1-1) unstable; urgency=low

  * "The Luminous Fish Effect" release
  * Add a "Recommends:" on dbus-x11 (Closes: #548524)
  * Recommend "python-simplejson" for Soundcloud support

 -- Thomas Perl <thp@thpinfo.com>  Sat, 12 Dec 2009 17:52:45 +0100

gpodder (2.0-1) unstable; urgency=low

  * The "Day of the Tentacle" release

 -- Thomas Perl <thp@thpinfo.com>  Wed, 16 Sep 2009 17:39:06 +0200

gpodder (0.17.0-1) unstable; urgency=low

  * The "Orientation" release

 -- Thomas Perl <thp@thpinfo.com>  Mon, 27 Jul 2009 14:31:01 +0200

gpodder (0.16.1-1) unstable; urgency=low

  * The "Adrift" bugfix release

 -- Thomas Perl <thp@thpinfo.com>  Fri, 05 Jun 2009 13:23:47 +0200

gpodder (0.16.0-1) unstable; urgency=low

  * The "Man of Science, Man of Faith" release
  * Make SQLite handling more robust (from upstream) (Closes: #527387)
  * Upstream applied dbus error running from cron patch (Closes: #520369)

  * debian/control: Removed dependency on python-glade2 (now using GtkBuilder)

 -- Thomas Perl <thp@thpinfo.com>  Mon, 01 Jun 2009 15:08:14 +0200

gpodder (0.15.2-1) unstable; urgency=low

  * "The Long Morrow" bugfix release
  * Upstream applied dbus error running from cron patch (Closes: #520369)

  * debian/compat: Upgrade to debhelper compatibility level 7 (no changes
    needed after looking at the changes in the debhelper(7) manpage)
  * debian/control: Update Standards-Version to 3.8.1 (no changes needed
    after looking at upgrading-checklist.txt and referring to the policy)

 -- Thomas Perl <thp@thpinfo.com>  Sat, 11 Apr 2009 13:35:17 +0200

gpodder (0.15.1-1) unstable; urgency=low

  * The "Passage on the Lady Anne" bugfix release
  * debian/control: Add python-dbus as a dependency (missing from 0.15.0)

 -- Thomas Perl <thp@thpinfo.com>  Thu, 12 Mar 2009 20:23:39 +0100

gpodder (0.15.0-1) unstable; urgency=low

  * "The Invaders" release
  * debian/rules: Add ChangeLog to the release (included in tarball)
  * debian/rules: Remove outdated exclusion of "gui.py.orig" for dh_clean
  * debian/copyright: Update year to 2009; add "and the gPodder Team"

 -- Thomas Perl <thp@thpinfo.com>  Mon, 09 Mar 2009 13:11:11 +0100

gpodder (0.14.1-1) unstable; urgency=low

  * "The Thirty-Fathom Grave" bugfix release
  * Recommend python-gtkhtml2 for HTML episode shownotes

 -- Thomas Perl <thp@thpinfo.com>  Sun, 01 Feb 2009 21:58:50 +0100

gpodder (0.14.0-1) unstable; urgency=low

  * The "A Short Drink From a Certain Fountain" release



=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <m@thp.io>
Uploaders: tony mancill <tmancill@debian.org>
Section: x11
Priority: optional
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.3.7), python-support (>= 0.3), intltool, python-feedparser, python-mygpoclient
XS-Python-Version: >= 2.5
XB-Python-Version: ${python:Versions}
Homepage: http://gpodder.org/
Vcs-Git: git://git.debian.org/git/collab-maint/gpodder.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gpodder.git

Package: gpodder
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2, python-feedparser, python-dbus, python-mygpoclient
Recommends: python-gpod, python-pymtp, dbus-x11, python-simplejson, python-webkit, python-gst0.10
Suggests: python-eyed3, mplayer, gnome-bluetooth | bluez-gnome
Description: A podcast client and feed aggregator
 gPodder is a podcast receiver/catcher. You can subscribe to feeds
 ("podcasts") and automatically download new audio and video content.
 Downloaded content can be played on your computer or synchronized to
 iPods, MTP-based players, filesystem-based MP3 players and Bluetooth
 enabled mobile phones. YouTube video feeds are also supported.
 .
 This package provides the "gpodder" GUI and the "gpo" CLI utility.

=== debian/watch ===
version=3

# The newest release is always linked from gpodder.org's download page
http://gpodder.org/downloads http://.*/gpodder-([\d\.]*).tar.gz

## gpodder 2.14-1

=== debian/changelog ===
gpodder (2.14-1) fremantle; urgency=low

  * "The Friendliest of Fruits" release
  * Decode strings to unicode before slicing (bug 1277)
  * Handle None in replace_from_channel (bug 1291)
  * Updated French translation
  * Remove partial files that are already downloaded
  * Fix YouTube download problems (HTTP 400) (bug 1308)
  * Add per-podcast keep settings (by Dov Feldstern)
  * Re-add "Visit website" button (by Dov Feldstern)
  * Better GUID tracking with fallback URL (Maemo bug 12073)

 -- Thomas Perl <m@thp.io>  Tue, 05 Apr 2011 12:57:10 +0200

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <m@thp.io>
Section: user/multimedia
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-feedparser, python-mygpoclient (>= 1.4), maemo-optify
Homepage: http://gpodder.org/

Package: gpodder
Architecture: all
Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser (>= 5.0.1), python-dbus, python-osso, python-simplejson, python-mygpoclient (>= 1.4), python-conic
Description: A podcast aggregator for the Nokia N900
 gPodder is a podcast receiver/catcher with a specialized UI that
 has been optimized for Maemo 5 and the N900. Podcasts are like
 short radio shows that you can download from the Internet and
 subscribe to like blogs or news feeds.
 .
 gPodder supports both audio and video podcasts equally, and is
 said to be one of the most usable podcast clients available.
 .
 Different versions for several platforms and devices exist.
 This is the Maemo 5-optimized version of gPodder.
XB-Maemo-Display-Name: gPodder Podcast Client
XB-Maemo-Upgrade-Description: "The Friendliest of Fruits" release
XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client
XB-Description-de_DE: Der Podcast-Aggregator für Maemo 5.
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
 6QAAAGNQTFRFQOlpFRMWMi40QCxDWkJhTUpPbTyPeE98eFp/iVatbWluhmmL
 knOWgX+CoHHFmoGft3blqIHBp5CuvIbix5Lqo6Wi0KHtzaXs17PywcTAycvI
 4cb159L22NrX3+He69v39PbzL6jP8AAAAAF0Uk5TAEDm2GYAAAABYktHRACI
 BR1IAAAACXBIWXMAAA3XAAAN1wFCKJt4AAAAB3RJTUUH2QkWEwYVpGDTMQAA
 Au1JREFUSMfNldmCoyAURKOggCguoJKQNv7/V3ZdXBLtZKbfZu5LjKnDrWLL
 5fJPahgH1Dj8Vu1DuKNC8L9ghnB/RHGIVAjDX+SPOPLgrHWDj9AfkNHfHyGM
 tmkai6KPkRA/fhjeP+5hhGoYl/KjaxpC/PDBTggkH5yzxljnHPIDAfHOFul9
 05DcKM5YnitlnBvxzr8jRk96S6OrnPNaM2NUrii6I+JHDk9+SG9yZVhdgkBo
 laMJCMpxMoTpgx/SG5vzTsiOKRBNJCyIkyk0GEhvc2sE16UQtRSNrrTIyVUz
 YHF+NCBDuapQhRZCl6yqrn2lcyQfzi3QwFEDpYpqmqeqEPCUVfM8T4VUMNW4
 QwtsIDTAxOeymKKKw1NGj/OUocVwajHeMaWOEmRXEs19JgQv4uNccUstsLHG
 oyMARmSL6AtA1q/PqTl7IkeWHBm2iuaMi/RrexaI7Sxt4s3RFkHtIoRIpv0Z
 IWjxdk97ZpXMm4g9gZ6dUw/3sABmByoA8QHULfkBbB3alLT9ClCHCtFv6UeA
 OvQpBYGlFOCUpsUCuFeAQttmBYokgTLlgmEd+iTJIjBamqXX0GNcOABZBBIs
 XLoCFNrTUX2eVL+lTq7U4TZfAQh89kQXYo3gX7cGTgMAbIc+wcgZA8AybCrs
 rcTA0esyvHhqMTX9NH9RA7S40qxWKTU4OFo9EUFJMTcsAhIE3G0N/OHKCHQF
 UOzi1mepjkDJkzRLBM2pP59RauGIMDxJGB1RAjSOhSVDjhK0pzs4LGuBS4yv
 gK6ZiXrTdZ3GXXW4l+jCttFVy8rFkug4b9tWCQkxl7V8EviuMUrXKtO2HLfM
 UmUHJX7jEr/Wdb0DTEoef4olu7UBTEHXkbbUZVnuANOg42t62+FGepaU+CZJ
 fgDikFLHEke5XsSk1ztQ64NGLmh5qo5fXoBFVX4sWObPzHwL8ElNwV6XgWY1
 pj5idSx6f161yGBpyBSNtlWp9Trf7/8V2bu6/P/1DQAoZoGxNkMYAAAAAElF
 TkSuQmCC

## gpodder 2.15

=== data/po/Makefile ===
#
# gPodder - A media aggregator and podcast client
# Copyright (c) 2005-2011 Thomas Perl and the gPodder Team
#
# gPodder is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# gPodder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

PO_FILES=$(wildcard *.po)
POT_FILE=../messages.pot

# Check for $LINGUAS presence.
ifeq ($(origin LINGUAS), undefined)
	PO_INSTALL=$(PO_FILES)
else
	PO_INSTALL=$(addsuffix .po,$(filter $(subst .po,,$(PO_FILES)),$(LINGUAS)))
endif

MO_FILES=$(addsuffix /LC_MESSAGES/gpodder.mo,$(addprefix ../locale/,$(subst .po,,$(PO_INSTALL))))

all: $(PO_INSTALL) $(MO_FILES)

%.po: $(POT_FILE)
	@echo "Merging $(notdir $<) -> $@"
	@msgmerge --silent $@ $< --output-file=$@

%.mo: $(PO_INSTALL)
	@echo "Compiling $(subst /LC_MESSAGES/gpodder.mo,.po,$(subst ../locale/,,$@)) -> $(notdir $@)"
	@mkdir -p $(@D)
	@msgfmt $(subst /LC_MESSAGES/gpodder.mo,.po,$(subst ../locale/,,$@)) -o $@

clean:
	rm -rf ../locale *~ *.mo

statistics:
	@for file in *.po; do echo -n "$$file (`cat $$file | grep Revision-Date | cut -d' ' -f2`): "; msgfmt --statistics $$file 2>&1; done

validate:
	./validate.sh

.PHONY: all clean statistics validate

=== debian/changelog ===
gpodder (2.15-2) unstable; urgency=low

  * This time without a patch that reverts the source to 2.14.

 -- tony mancill <tmancill@debian.org>  Tue, 31 May 2011 22:05:31 -0700

gpodder (2.15-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.2 (no changes necessary).

 -- tony mancill <tmancill@debian.org>  Tue, 03 May 2011 14:21:32 -0700

## gpodder 2.15-1

=== debian/changelog ===
gpodder (2.15-1) fremantle; urgency=low

  * The "Night of Desitable Objects" release
  * Sanitize filename when saving to folder (bug 1317)
  * Remove gstreamer track length detection (bug 1316)
  * Better generation of one-line description
  * Fix bug when different podcasts have the same GUID (Maemo bug 12094)
  * Updated translations: French, Galician, Norwegian Bokml and Spanish

 -- Thomas Perl <m@thp.io>  Tue, 03 May 2011 21:55:15 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: "The Friendliest of Fruits" release
+XB-Maemo-Upgrade-Description: The "Night of Desirable Objects" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

## gpodder 2.16

=== debian/changelog ===
gpodder (2.16-1) unstable; urgency=low

  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Fri, 08 Jul 2011 21:54:34 -0700

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <m@thp.io>
Uploaders: tony mancill <tmancill@debian.org>
Section: x11
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.3.7), python-support (>= 0.3), intltool, python-feedparser, python-mygpoclient
XS-Python-Version: >= 2.5
XB-Python-Version: ${python:Versions}
Homepage: http://gpodder.org/
Vcs-Git: git://git.debian.org/git/collab-maint/gpodder.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gpodder.git

Package: gpodder
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2, python-feedparser, python-dbus, python-mygpoclient
Recommends: python-gpod, python-pymtp, dbus-x11, python-simplejson, python-webkit, python-gst0.10
Suggests: python-eyed3, mplayer, gnome-bluetooth | bluez-gnome
Description: A podcast client and feed aggregator
 gPodder is a podcast receiver/catcher. You can subscribe to feeds
 ("podcasts") and automatically download new audio and video content.
 Downloaded content can be played on your computer or synchronized to
 iPods, MTP-based players, filesystem-based MP3 players and Bluetooth
 enabled mobile phones. YouTube video feeds are also supported.
 .
 This package provides the "gpodder" GUI and the "gpo" CLI utility.

## gpodder 2.16-1

=== debian/changelog ===
gpodder (2.16-1) fremantle; urgency=low

  * The "Over There" release
  * Load podcast list before update on startup (bug 1337)
  * mygpo: Send timestamp as UTC to gpodder.net (bug 1036)
  * Updated Norwegian Bokml translation
  * Fix issues with zero playback position (Maemo bug 12262
  * mygpo: Convert remote timestamps to local time (bug 1036)
  * Support %p (position) in player command (bug 1140)

 -- Thomas Perl <m@thp.io>  Thu, 07 Jul 2011 23:47:20 +0200

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <m@thp.io>
Section: user/multimedia
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-feedparser, python-mygpoclient (>= 1.4), maemo-optify
Homepage: http://gpodder.org/

Package: gpodder
Architecture: all
Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser (>= 5.0.1), python-dbus, python-osso, python-simplejson, python-mygpoclient (>= 1.4), python-conic
Description: A podcast aggregator for the Nokia N900
 gPodder is a podcast receiver/catcher with a specialized UI that
 has been optimized for Maemo 5 and the N900. Podcasts are like
 short radio shows that you can download from the Internet and
 subscribe to like blogs or news feeds.
 .
 gPodder supports both audio and video podcasts equally, and is
 said to be one of the most usable podcast clients available.
 .
 Different versions for several platforms and devices exist.
 This is the Maemo 5-optimized version of gPodder.
XB-Maemo-Display-Name: gPodder Podcast Client
XB-Maemo-Upgrade-Description: The "Over There" release
XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client
XB-Description-de_DE: Der Podcast-Aggregator für Maemo 5.
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
 6QAAAGNQTFRFQOlpFRMWMi40QCxDWkJhTUpPbTyPeE98eFp/iVatbWluhmmL
 knOWgX+CoHHFmoGft3blqIHBp5CuvIbix5Lqo6Wi0KHtzaXs17PywcTAycvI
 4cb159L22NrX3+He69v39PbzL6jP8AAAAAF0Uk5TAEDm2GYAAAABYktHRACI
 BR1IAAAACXBIWXMAAA3XAAAN1wFCKJt4AAAAB3RJTUUH2QkWEwYVpGDTMQAA
 Au1JREFUSMfNldmCoyAURKOggCguoJKQNv7/V3ZdXBLtZKbfZu5LjKnDrWLL
 5fJPahgH1Dj8Vu1DuKNC8L9ghnB/RHGIVAjDX+SPOPLgrHWDj9AfkNHfHyGM
 tmkai6KPkRA/fhjeP+5hhGoYl/KjaxpC/PDBTggkH5yzxljnHPIDAfHOFul9
 05DcKM5YnitlnBvxzr8jRk96S6OrnPNaM2NUrii6I+JHDk9+SG9yZVhdgkBo
 laMJCMpxMoTpgx/SG5vzTsiOKRBNJCyIkyk0GEhvc2sE16UQtRSNrrTIyVUz
 YHF+NCBDuapQhRZCl6yqrn2lcyQfzi3QwFEDpYpqmqeqEPCUVfM8T4VUMNW4
 QwtsIDTAxOeymKKKw1NGj/OUocVwajHeMaWOEmRXEs19JgQv4uNccUstsLHG
 oyMARmSL6AtA1q/PqTl7IkeWHBm2iuaMi/RrexaI7Sxt4s3RFkHtIoRIpv0Z
 IWjxdk97ZpXMm4g9gZ6dUw/3sABmByoA8QHULfkBbB3alLT9ClCHCtFv6UeA
 OvQpBYGlFOCUpsUCuFeAQttmBYokgTLlgmEd+iTJIjBamqXX0GNcOABZBBIs
 XLoCFNrTUX2eVL+lTq7U4TZfAQh89kQXYo3gX7cGTgMAbIc+wcgZA8AybCrs
 rcTA0esyvHhqMTX9NH9RA7S40qxWKTU4OFo9EUFJMTcsAhIE3G0N/OHKCHQF
 UOzi1mepjkDJkzRLBM2pP59RauGIMDxJGB1RAjSOhSVDjhK0pzs4LGuBS4yv
 gK6ZiXrTdZ3GXXW4l+jCttFVy8rFkug4b9tWCQkxl7V8EviuMUrXKtO2HLfM
 UmUHJX7jEr/Wdb0DTEoef4olu7UBTEHXkbbUZVnuANOg42t62+FGepaU+CZJ
 fgDikFLHEke5XsSk1ztQ64NGLmh5qo5fXoBFVX4sWObPzHwL8ElNwV6XgWY1
 pj5idSx6f161yGBpyBSNtlWp9Trf7/8V2bu6/P/1DQAoZoGxNkMYAAAAAElF
 TkSuQmCC

## gpodder 2.17-1

=== debian/changelog ===
gpodder (2.17-1) fremantle; urgency=low

  * The "Take Seven" release
  * Fix downloads from YouTube

 -- Thomas Perl <m@thp.io>  Thu, 04 Aug 2011 14:01:35 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: The "Over There" release
+XB-Maemo-Upgrade-Description: The "Take Seven" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

## gpodder 2.18-1

=== debian/changelog ===
gpodder (2.18-1) fremantle; urgency=low

  * The "Powerswitch" release
  * Re-add missing translations (bug 1404)

 -- Thomas Perl <m@thp.io>  Mon, 08 Aug 2011 21:19:57 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: The "Take Seven" release
+XB-Maemo-Upgrade-Description: The "Powerswitch" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

## gpodder 2.20

=== Makefile ===
#
# gPodder - A media aggregator and podcast client
# Copyright (c) 2005-2011 Thomas Perl and the gPodder Team
#
# gPodder is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# gPodder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

##########################################################################

BINFILE=bin/gpodder
MESSAGESPOT=data/messages.pot

UIFILES=$(wildcard data/ui/*.ui \
	           data/ui/desktop/*.ui \
		   data/ui/maemo/*.ui \
		   data/ui/frmntl/*.ui)
UIFILES_H=$(subst .ui,.ui.h,$(UIFILES))
TRANSLATABLE_SOURCE=$(wildcard src/gpodder/*.py \
		               src/gpodder/gtkui/*.py \
		               src/gpodder/gtkui/interface/*.py \
			       src/gpodder/gtkui/desktop/*.py \
			       src/gpodder/gtkui/maemo/*.py \
			       src/gpodder/gtkui/frmntl/*.py)

HELP2MAN=help2man
MANPAGE=doc/man/gpodder.1

GPODDER_ICON_THEME=dist/gpodder

GPODDER_SERVICE_FILE=data/org.gpodder.service
GPODDER_SERVICE_FILE_IN=$(addsuffix .in,$(GPODDER_SERVICE_FILE))

DESTDIR ?= /
PREFIX ?= /usr

PYTHON ?= python

##########################################################################

all: help

help:
	@echo 'make test            run gpodder in local directory'
	@echo 'make unittest        run doctests + unittests'
	@echo 'make release         create source tarball in "dist/"'
	@echo 'make releasetest     run some tests before the release'
	@echo 'make install         install gpodder into "$(PREFIX)"'
	@echo 'make manpage         update manpage (on release)'
	@echo 'make messages        update messages.pot + .po files + .mo files'
	@echo 'make clean           remove generated+temp+*.py{c,o} files'
	@echo 'make distclean       do a "make clean" + remove "dist/"'
	@echo 'make headlink        print URL for the current Git head'
	@echo ''
	@echo 'make install-git-menuitem   Add shortcuts to your menu for this git checkout'
	@echo 'make remove-git-menuitem    Remove shortcuts created by "install-git-menuitem"'

##########################################################################

test:
	@# set xterm title to know what this window does ;)
	@echo -ne '\033]0;gPodder console (make test)\007'
	$(BINFILE) --verbose

unittest:
	PYTHONPATH=src/ $(PYTHON) -m gpodder.unittests

deb:
	debuild

release: distclean
	$(PYTHON) setup.py sdist

releasetest: unittest
	desktop-file-validate data/gpodder.desktop
	make -C data/po validate

$(GPODDER_SERVICE_FILE): $(GPODDER_SERVICE_FILE_IN)
	sed -e 's#__PREFIX__#$(PREFIX)#' $< >$@

install: messages $(GPODDER_SERVICE_FILE)
	$(PYTHON) setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)

##########################################################################

manpage: $(MANPAGE)

$(MANPAGE): src/gpodder/__init__.py $(BINFILE)
	$(HELP2MAN) --name="A Media aggregator and Podcast catcher" -N $(BINFILE) >$(MANPAGE)

##########################################################################

messages: $(MESSAGESPOT)
	make -C data/po

data/ui/%.ui.h: $(UIFILES)
	intltool-extract --quiet --type=gettext/glade $(subst .ui.h,.ui,$@)

$(MESSAGESPOT): $(TRANSLATABLE_SOURCE) $(UIFILES_H) $(BINFILE)
	xgettext -k_:1 -kN_:1 -kN_:1,2 -o $(MESSAGESPOT) $(TRANSLATABLE_SOURCE) $(UIFILES_H) $(BINFILE)

##########################################################################

install-git-menuitem:
	doc/dev/install-desktopentry.sh

remove-git-menuitem:
	doc/dev/install-desktopentry.sh --remove

gpodder-icon-theme:
	rm -rf $(GPODDER_ICON_THEME)
	mkdir -p $(GPODDER_ICON_THEME)
	$(PYTHON) doc/dev/icon-theme/list-icon-names.py >$(GPODDER_ICON_THEME)/names
	(cd $(GPODDER_ICON_THEME) && \
	    $(PYTHON) ../../doc/dev/icon-theme/pack-icons.py && \
	    $(PYTHON) ../../doc/dev/icon-theme/create-index.py >index.theme && \
	    rm -f names)

##########################################################################

# This only works in a Git working commit, and assumes that the local Git
# HEAD has already been pushed to the main repository. It's mainly useful
# for the gPodder maintainer to quickly generate a commit link that can be
# posted online in bug trackers and mailing lists.

headlink:
	@echo http://gpodder.org/commit/`git show-ref HEAD | head -c8`

##########################################################################

clean:
	$(PYTHON) setup.py clean
	find src/ -name '*.pyc' -exec rm '{}' \;
	find src/ -name '*.pyo' -exec rm '{}' \;
	find data/ui/ -name '*.ui.h' -exec rm '{}' \;
	rm -f MANIFEST PKG-INFO data/messages.pot~
	rm -f data/gpodder-??x??.png .coverage $(GPODDER_SERVICE_FILE)
	rm -rf build
	make -C data/po clean

debclean:
	fakeroot debian/rules clean

distclean: clean
	rm -rf dist

##########################################################################

.PHONY: all test unittest release releasetest install manpage clean distclean messages help install-git-menuitem remove-git-menuitem headlink

##########################################################################

=== data/osx/Makefile ===
#
# gPodder - A media aggregator and podcast client
# Copyright (c) 2005-2011 Thomas Perl and the gPodder Team
#
# gPodder is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# gPodder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#
# the installed path of the gpodder script
GPODDERSCRIPT=/Users/elelay/misc/macports/svnlocal_dports/gnome/gpodder/gpodder/bin/gpodder
# the /Applications directory
APPLICATIONSDIR=/tmp/Applications
APPDIR=$(APPLICATIONSDIR)/gPodder.app
BINDIR=$(APPDIR)/Contents/MacOS
RESOURCESDIR=$(APPDIR)/Contents/Resources
# current version of gPodder
VERSION=2.3

# set OSXVERSION to darwin8 to get the Mac OS X Tiger version of the plist.
OSXVERSION=darwin8
ifeq ($(OSXVERSION),darwin8)
PLIST=Info-10.4.plist
else
PLIST=Info.plist
endif

all:$(BINDIR)/gpodder\
	$(RESOURCESDIR)/icon.icns\
	$(APPDIR)/Contents/PkgInfo\
	$(APPDIR)/Contents/Info.plist

$(BINDIR):
	mkdir -p $(BINDIR)

$(RESOURCESDIR):
	mkdir -p $(RESOURCESDIR)

$(BINDIR)/gpodder: ../../bin/gpodder $(BINDIR)
	ln -s $(GPODDERSCRIPT) $@

$(RESOURCESDIR)/icon.icns: icon.icns $(RESOURCESDIR)
	install $< $@

$(APPDIR)/Contents/PkgInfo: PkgInfo $(RESOURCESDIR)
	install $< $@

$(APPDIR)/Contents/Info.plist: $(PLIST) $(APPDIR)/Contents
	sed "s|__VERSION__|$(VERSION)|g" $< > $@

clean:
	rm -rf $(APPDIR)

.PHONY: all clean dirs

=== data/po/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	rm -rf ../locale *~ *.mo
 
 statistics:
-	@for file in *.po; do echo -n "$$file (`cat $$file | grep Revision-Date | cut -d' ' -f2`): "; msgfmt --statistics $$file 2>&1; done
+	@(for file in *.po; do echo -n "$$file (`cat $$file | grep Revision-Date | cut -d' ' -f2`): "; msgfmt --statistics $$file 2>&1; done) | sort -t: -k2 -rn; done
 
 validate:
 	./validate.sh

=== debian/changelog ===
gpodder (2.20-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch.
  * Remove translations.patch.
  * Tweak package description to address lintian warning.

 -- tony mancill <tmancill@debian.org>  Wed, 19 Oct 2011 19:36:49 -0700

gpodder (2.18-1) unstable; urgency=low

  * New upstream release.
  * Add translations.patch to preserve translations from upstream 2.16.

 -- tony mancill <tmancill@debian.org>  Tue, 16 Aug 2011 21:52:00 -0700

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <m@thp.io>
Uploaders: tony mancill <tmancill@debian.org>
Section: x11
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.3.7), python-support (>= 0.3), intltool, python-feedparser, python-mygpoclient
XS-Python-Version: >= 2.5
XB-Python-Version: ${python:Versions}
Homepage: http://gpodder.org/
Vcs-Git: git://git.debian.org/git/collab-maint/gpodder.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gpodder.git

Package: gpodder
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2, python-feedparser, python-dbus, python-mygpoclient
Recommends: python-gpod, python-pymtp, dbus-x11, python-simplejson, python-webkit, python-gst0.10
Suggests: python-eyed3, mplayer, gnome-bluetooth | bluez-gnome
Description: podcast client and feed aggregator
 gPodder is a podcast receiver/catcher. You can subscribe to feeds
 ("podcasts") and automatically download new audio and video content.
 Downloaded content can be played on your computer or synchronized to
 iPods, MTP-based players, filesystem-based MP3 players and Bluetooth
 enabled mobile phones. YouTube video feeds are also supported.
 .
 This package provides the "gpodder" GUI and the "gpo" CLI utility.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE   = $(firstword $(shell dh_listpackages))
TMP       = $(CURDIR)/debian/$(PACKAGE)
CHANGELOG	= ChangeLog
DOCS		  = README
PYTHON		= /usr/bin/python
SETUP		  = ${PYTHON} setup.py
DESTDIR		= debian/${PACKAGE}
PREFIX		= usr

%:
	dh $@

override_dh_auto_test:

override_dh_clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	${SETUP} clean --all
	rm -rf build dist
	dh_clean
	make clean

override_dh_install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	make messages
	PREFIX=$(PREFIX) make data/org.gpodder.service
	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix=$(PREFIX) --install-lib=$(PREFIX)/share/python-support/$(PACKAGE)

get-orig-source:
	uscan --force-download --rename

## gpodder 2.20-1

=== debian/changelog ===
gpodder (2.20-1) fremantle; urgency=low

  * The "Neither Here Nor There" release
  * The latest gPodder update for Maemo 5

 -- Thomas Perl <m@thp.io>  Wed, 19 Oct 2011 16:16:21 +0200

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <m@thp.io>
Section: user/multimedia
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-feedparser, python-mygpoclient (>= 1.4), maemo-optify
Homepage: http://gpodder.org/

Package: gpodder
Architecture: all
Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser (>= 5.0.1), python-dbus, python-osso, python-simplejson, python-mygpoclient (>= 1.4), python-conic
Description: A podcast aggregator for the Nokia N900
 gPodder is a podcast receiver/catcher with a specialized UI that
 has been optimized for Maemo 5 and the N900. Podcasts are like
 short radio shows that you can download from the Internet and
 subscribe to like blogs or news feeds.
 .
 gPodder supports both audio and video podcasts equally, and is
 said to be one of the most usable podcast clients available.
 .
 Different versions for several platforms and devices exist.
 This is the Maemo 5-optimized version of gPodder.
XB-Maemo-Display-Name: gPodder Podcast Client
XB-Maemo-Upgrade-Description: The "Neither Here Nor There" release
XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client
XB-Description-de_DE: Der Podcast-Aggregator für Maemo 5.
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz
 AAAN1wAADdcBQiibeAAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAAVeSURB
 VEiJvZZbbJRFGIbfmf+wh552KdKVYg9LSykEBalbQUltq8aiYIBEiYBwUaPCvTHEBLywBki8oBrv
 GpeGC0uCEKFC16hQUWQpoFKXg2YL3R44qO2e+v/b/f/XC8BTKlRj+JJJ5mLmfebL987MJ0jiboS8
 KxQA6r9cnw9gLoAEgIsAzEnvJHmnoZB8hWSXYRiZSCTC4eFhmqaZJfktyecmoXFHUBHJL7q6urhi
 xQrOmjWLTzz+BOvr61ldXc1Vq1YxHA6T5HGS9/xXkM+27YGtW7dy0aJFDIfDfO2V1zNPLnzKWlG3
 aiwRTwyHQiEGAgFu376dJL8h6f4nvduZYUdLS8v08+fPo7OzM/7Rh/vf/S78ndn0yDKZrxeIZYuf
 /ai9vb1t8+bNxt69e7Fr164AgHf+bY1q+/v7WV5ezvb29qzL5Rpzu93jD1YttN/Z1Mq3XtrOokLf
 eE1NTdLv96fXr1/P0tJSWpY1SnLhRJn9U0ZL2trasHr1amzatIkHDhxwRiIR9Wryiuj98SwuDfeh
 YEqBcvjw4ZyjR4+6jh07hunTp+PgwYP56XT6JICH/i44EWglgJWxWAzxeBwNDQ1KIBCA1+tFc3Mz
 Lg5eQOxKP5Y+3SQcDgc8Hg/WrVuHU6dOYfny5di3bx8A3DcZ0PMdHR2LDh06hD179qCpqUlomgZN
 0/DA/Afwc/oa4sYIKioqoKoqNE3DmjVrIOUNqVgsBgAzJgMaOHHiBPr7+zE6OoqlS5dCVVWYpokF
 CxZg8PoARlIj8Pv9UFUVZ86cQVlZGYqKim5sHhiYNCg2Y8aNdSSh6zrWrl2L4uJiRKNRZLNZOFUX
 +qJ9aG1tRW1tLYLBIOLx+G0zmugJGrgFcjqd6OnpQXd3N1KpFDo7O1F1XzVmTZuN4AdBVFVXAQC8
 Xi8SiQQ2bNiAjRs3AoAfQAGA0dtmVFlZicbGRpSUlOD06dPYvXs3gsEger/vRdlUP2YWVSByLoLm
 5mZ0dHTA5/PB6/Wmtm3bZrW1tSEUCs1Lp9M/A/gSt4wxwR0qJnmB5Oc7d+48UlVVlRkaGmJ3dzfz
 cvP4xgtvcsvzb/HxmidZG6i1jx8/zrq6urTL5Xqb5KvpdHo8FApxy5YtbGlpIck+khXiTv+Rx+P5
 UAixzDAMNVD5MJ59dKUW/yWBHI8bu0Jt2R8HL1q6ru+Px+MvkjRx44WvG4oNbYheiq40Mybq6+t/
 uiMIAIQQ8+aX18wt85W8/1hNo+fXqyNw5ThxPXkVJyPhXlrWq5R02RRlKuT9QsqnQdzrdDuz7R8H
 vy6cVtj8O2hJdf0zmqbusGmVSiF/EUJcBRizbPZJIWfattUwr+J+pdRXriVHUlAUidwpefjp8gU7
 OhhN6rqDua4cLc+d7/JNLRLegkJ0ffXJ6Eg80dgd+aznd9fpuvry7LI5s8uLy2FmMsVGxig2MsYC
 MzMGTdEwrfBe6IqG5EgSAGBZNlIjKfiLK2RlWVU+7Zs1tgkra0EKAdsmFNg68Cd7k6iY4imEoIRC
 FS7FjdycXIg8CYDIGlkkxk0IAIoiASEAEOlEGhACiiIhpYTm0ODMceLy4GWkjKR9Xbne8xeQbVut
 pyLhHXPK57mLpvrgdDhAEuKPgwA3y8lbEwEoUoIAMqaJlJnGlWtXcC7amxwzx0ZtK7v87A9nMwDw
 FzMsmVP3oq461tq0FquKSiEVKlJQQFJKCVVKCiEhpIQiFWHbNlNGUo6ZhlMIYShCDhE4Z2fH3zsS
 OfIp/yQ+oeuEEGJxdUOJZMahClW3ha1RUCMUXQE1Cmo2pC5sMaYIXnKZrv7Oi523bVQmZe//I+5a
 X/cbhxhKNz/YKuAAAAAASUVORK5CYII=

## gpodder 2.20.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # gPodder - A media aggregator and podcast client
-# Copyright (c) 2005-2011 Thomas Perl and the gPodder Team
+# Copyright (c) 2005-2012 Thomas Perl and the gPodder Team
 #
 # gPodder is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== data/osx/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # gPodder - A media aggregator and podcast client
-# Copyright (c) 2005-2011 Thomas Perl and the gPodder Team
+# Copyright (c) 2005-2012 Thomas Perl and the gPodder Team
 #
 # gPodder is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== data/po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # gPodder - A media aggregator and podcast client
-# Copyright (c) 2005-2011 Thomas Perl and the gPodder Team
+# Copyright (c) 2005-2012 Thomas Perl and the gPodder Team
 #
 # gPodder is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
gpodder (2.20.1-1) unstable; urgency=low

  * New upstream release.
    - Bugfix release containing fixes from 3.x release.
  * Update d/copyright years and DEP5 fields.

 -- tony mancill <tmancill@debian.org>  Sun, 19 Feb 2012 10:37:24 -0800

## gpodder 2.20.1-1

=== debian/changelog ===
gpodder (2.20.1-1) fremantle; urgency=low

  * The "Rosey the Robot" release
  * Various bugfixes merged from gPodder 3.x

 -- Thomas Perl <m@thp.io>  Sat, 18 Feb 2012 10:24:53 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: The "Neither Here Nor There" release
+XB-Maemo-Upgrade-Description: The "Rosey the Robot" bugfix release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

## gpodder 2.20.2-1

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 DESTDIR ?= /
 PREFIX ?= /usr
 
-PYTHON ?= python
+PYTHON ?= python2.5
 
 ##########################################################################

=== debian/changelog ===
gpodder (2.20.2-1) fremantle; urgency=low

  * The "Uniblab" release
  * CLI fixes by Eugene Nikolsky (bug 1598)
  * YouTube download fixes (bug 1665)

 -- Thomas Perl <m@thp.io>  Mon, 24 Sep 2012 10:32:59 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: The "Rosey the Robot" bugfix release
+XB-Maemo-Upgrade-Description: The "Uniblab" bugfix release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DOCS		= README

PYTHON		= /usr/bin/python2.5
SETUP		= TARGET=maemo ${PYTHON} setup.py

DEBPACKAGE	= gpodder
DESTDIR		= debian/${DEBPACKAGE}
PREFIX		= usr

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	${SETUP} build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	${SETUP} clean --all
	rm -rf build dist
	dh_clean
	make clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	make -C data/po
	make data/org.gpodder.service
	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix='$(PREFIX)'

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs $(DOCS)
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install configure

## gpodder 3.0.1

=== debian/changelog ===
gpodder (3.0.1-1) experimental; urgency=low

  * New upstream release.
  * Uploading to experimental to allow for testing of 3.x.

 -- tony mancill <tmancill@debian.org>  Sat, 26 Nov 2011 11:19:43 -0800

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <m@thp.io>
Uploaders: tony mancill <tmancill@debian.org>
Section: x11
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.3.7),
 python-support (>= 0.3),
 intltool,
 python-feedparser,
 python-mygpoclient
XS-Python-Version: >= 2.6
XB-Python-Version: ${python:Versions}
Homepage: http://gpodder.org/
Vcs-Git: git://git.debian.org/git/collab-maint/gpodder.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gpodder.git

Package: gpodder
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-gtk2,
 python-feedparser,
 python-dbus,
 python-mygpoclient
Recommends: dbus-x11, python-simplejson, python-webkit, python-gst0.10
Suggests: python-eyed3, mplayer, gnome-bluetooth | bluez-gnome
Description: podcast client and feed aggregator
 gPodder is a podcast receiver/catcher. You can subscribe to feeds
 ("podcasts") and automatically download new audio and video content.
 Downloaded content can be played on your computer or synchronized to
 iPods, MTP-based players, filesystem-based MP3 players and Bluetooth
 enabled mobile phones. YouTube video feeds are also supported.
 .
 This package provides the "gpodder" GUI and the "gpo" CLI utility.

## gpodder 3.0.2

=== debian/changelog ===
gpodder (3.0.2-1) experimental; urgency=low

  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Wed, 14 Dec 2011 00:15:05 -0800

## gpodder 3.0.4

=== debian/changelog ===
gpodder (3.0.4-1) experimental; urgency=low

  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Tue, 24 Jan 2012 21:59:59 -0800

gpodder (3.0.3-1) experimental; urgency=low

  * New upstream release (Closes: #654546)

 -- tony mancill <tmancill@debian.org>  Mon, 09 Jan 2012 18:26:11 -0800

## gpodder 3.2.0

=== debian/changelog ===
gpodder (3.2.0-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable now that the 3.x series has feature parity with
    2.x.  (MP3 player device sync is now part of 3.x.)
  * d/control:
    - Add libqtwebkit-qmlwebkitplugin to Recommends.
    - Move python-webkit from Recommends to Depends.

 -- tony mancill <tmancill@debian.org>  Wed, 25 Jul 2012 22:03:20 -0700

gpodder (3.1.2-1) experimental; urgency=low

  * New upstream release.
    - Closes: #582656 - intermittently redownloads all [...] episodes
    - Closes: #669194 - Repeatedly shows deleted episode
    - Closes: #672583 - when run with web interface errors get thrown
  * Freshen gpodder-migrate2tres manpage for 3.1.x build.

 -- tony mancill <tmancill@debian.org>  Mon, 28 May 2012 18:30:33 -0700

gpodder (3.1.1-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3 (no changes).

 -- tony mancill <tmancill@debian.org>  Tue, 15 May 2012 22:32:06 -0700

gpodder (3.1.0-1) experimental; urgency=low

  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Tue, 17 Apr 2012 23:24:49 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: tony mancill <tmancill@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7.3.7),
  python-support (>= 0.3),
  intltool,
@@ -21,8 +21,10 @@
  python-gtk2,
  python-feedparser,
  python-dbus,
- python-mygpoclient
-Recommends: dbus-x11, python-simplejson, python-webkit, python-gst0.10
+ python-mygpoclient,
+ python-webkit
+Recommends: dbus-x11, python-simplejson, python-gst0.10,
+ libqtwebkit-qmlwebkitplugin
 Suggests: python-eyed3, mplayer, gnome-bluetooth | bluez-gnome
 Description: podcast client and feed aggregator
  gPodder is a podcast receiver/catcher. You can subscribe to feeds

## gpodder 3.3.0

=== debian/changelog ===
gpodder (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4.
  * Update README.Debian to note that syncing to iPod is still not 
    supported in the 3.x versions.

 -- tony mancill <tmancill@debian.org>  Mon, 24 Sep 2012 10:34:12 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: tony mancill <tmancill@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 7.3.7),
  python-support (>= 0.3),
  intltool,

## gpodder 3.4.0

=== debian/changelog ===
gpodder (3.4.0-1) unstable; urgency=low

  * New upstream release.
  * Dependency on python-feedparser is now versioned (>= 5.1.2) to
    address problems with some feeds.

 -- tony mancill <tmancill@debian.org>  Sun, 23 Dec 2012 19:24:26 -0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.3.7),
  python-support (>= 0.3),
  intltool,
- python-feedparser,
+ python-feedparser (>= 5.1.2),
  python-mygpoclient
 XS-Python-Version: >= 2.6
 XB-Python-Version: ${python:Versions}

## gpodder 3.5.1

=== debian/changelog ===
gpodder (3.5.1-1) unstable; urgency=low

  * New upstream release.
  * d/control: declare versioned dependency on python-gtk2 (>= 2.16)

 -- tony mancill <tmancill@debian.org>  Fri, 12 Apr 2013 22:07:02 -0700

gpodder (3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Mention gpodder-migrate2tres in NEWS.Debian file. (Closes: #695470)

 -- tony mancill <tmancill@debian.org>  Fri, 08 Mar 2013 21:21:00 -0800

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Package: gpodder
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
- python-gtk2,
+ python-gtk2 (>= 2.16),
  python-feedparser,
  python-dbus,
  python-mygpoclient,

## gpodder 3.5.2

=== debian/changelog ===
gpodder (3.5.2-1) unstable; urgency=low

  * New upstream.
  * Update Vcs- URLs to canonical forms.
  * Update d/copyright years.

 -- tony mancill <tmancill@debian.org>  Fri, 27 Sep 2013 21:20:17 -0700

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 XS-Python-Version: >= 2.6
 XB-Python-Version: ${python:Versions}
 Homepage: http://gpodder.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/gpodder.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gpodder.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/gpodder.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gpodder.git
 
 Package: gpodder
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE   = $(firstword $(shell dh_listpackages))
TMP       = $(CURDIR)/debian/$(PACKAGE)
CHANGELOG	= ChangeLog
DOCS		  = README
PYTHON		= /usr/bin/python
SETUP		  = ${PYTHON} setup.py
DESTDIR		= debian/${PACKAGE}
PREFIX		= usr

%:
	dh $@

override_dh_auto_test:

override_dh_clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	${SETUP} clean --all
	rm -rf build dist
	dh_clean
	make clean

override_dh_install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	make messages
	PREFIX=$(PREFIX) make share/dbus-1/services/org.gpodder.service
	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix=$(PREFIX) --install-lib=$(PREFIX)/share/python-support/$(PACKAGE)

get-orig-source:
	uscan --force-download --rename

## gpodder 3.8.0

=== debian/changelog ===
gpodder (3.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Sat, 26 Jul 2014 20:43:14 -0700

gpodder (3.7.0-2) unstable; urgency=medium

  * Convert from python-support to dh-python.
  * Bump debhelper dependency to DH9.

 -- tony mancill <tmancill@debian.org>  Tue, 27 May 2014 21:50:33 -0700

gpodder (3.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- tony mancill <tmancill@debian.org>  Sat, 17 May 2014 11:36:25 -0700

gpodder (3.6.1-1) unstable; urgency=medium

  * New upstream release (Closes: #742191)
    - Fixes YouTube integration bug.
    - Use LC_ALL=C during manpage generation.
    - Add prefix to path in desktop file.

 -- tony mancill <tmancill@debian.org>  Thu, 20 Mar 2014 21:41:43 -0700

gpodder (3.6.0-1) unstable; urgency=medium

  * New upstream release.
    - (Closes: #681638)
    - Adds alpha support for iPod (see #688240)
  * Remove gpodder-migrate2tres_manpage.patch; integrated upstream.
  * Remove Suggests: python-eyed3 until 0.7 is in Debian (see #740457)
  * Bump Standards-Version to 3.9.5.
  * Update README.Debian.

 -- tony mancill <tmancill@debian.org>  Sat, 01 Mar 2014 15:26:20 -0800
